Draft Point/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(6 intermediate revisions by 3 users not shown)
Line 4: Line 4:
|[[Draft_BezCurve|BezCurve]]
|[[Draft_BezCurve|BezCurve]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_BezCurve.svg
|IconL=Draft_BezCurve.svg
|IconR=Draft_Facebinder.svg
|IconR=Draft_Facebinder.svg
Line 11: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Draft Point|Name/ro=Draft Punctul|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Draft → Point|Shortcut=P T}}
|Name=Draft Point
|Name/ro=Draft Punctul
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
|MenuLocation=Draft → Point
|Shortcut=P T
}}
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 22: Line 29:
[[Image:Draft_point_example.jpg|400px]]
[[Image:Draft_point_example.jpg|400px]]


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
Line 30: Line 38:
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
# Apăsați butonul {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point/ro|Draft Point]]}}, sau apăsați tasta {{KEY|P}} apoi apăsați tasta {{KEY|T}}
# Apăsați butonul {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point/ro|Draft Point]]}}, sau apăsați tasta {{KEY|P}} apoi apăsați tasta {{KEY|T}}
# Click un punct în vizualizarea 3D, sau tastați [[Draft_Coordinates/ro|coordinate]]
# Click un punct în vizualizarea 3D, sau tastați coordinate
</div>
</div>


<span id="Options"></span>
== Opţiuni ==
== Opţiuni ==


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 44: Line 53:
==Notes==
==Notes==


* Use [[Image:Draft_Snap_Near.svg|16px]] [[Draft_Snap_Near|Draft Snap Near]] to snap to Draft points.
* Use [[Image:Draft_Snap_Near.svg|16px]] [[Draft_Snap_Near|Draft Snap Near]] ({{VersionMinus|0.20}}) or [[Image:Draft_Snap_Endpoint.svg|16px]] [[Draft_Snap_Endpoint|Draft Snap Endpoint]] ({{VersionPlus|0.21}}) to snap to Draft points.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the number of decimals used for the input of coordinates: {{MenuCommand|Edit → Preferences... → General → Units → Units settings → Number of decimals}}.


<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


See also: [[property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


A Draft Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Draft Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Line 143: Line 147:
|[[Draft_BezCurve|BezCurve]]
|[[Draft_BezCurve|BezCurve]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_BezCurve.svg
|IconL=Draft_BezCurve.svg
|IconR=Draft_Facebinder.svg
|IconR=Draft_Facebinder.svg

Latest revision as of 04:59, 9 January 2024

Draft Punctul

poziția meniului
Draft → Point
Ateliere
Draft, Arch
scurtătură
P T
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Instrumentul Punct creează un punct simplu în planul curent work plane, util pentru a servi ca referință pentru plasarea mai multor obiecte mai târziu. Este nevoie de color setat anterior pe fila Activități.

Cum se folosește

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Apăsați butonul Draft Point, sau apăsați tasta P apoi apăsați tasta T
  2. Click un punct în vizualizarea 3D, sau tastați coordinate

Opţiuni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Petru a introduce coordonatele manual, pur și simplu introduceți numerele, apoi apăsați tasta ENTER între fiecare componentă pe X, Y și Z .
  • Apăsați tasta ESC sau butonul Cancel pentru a abandona linia de comandă curentă.

Notes

Proprietăți

See also: Property editor.

A Draft Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DATEX: Coordonatele X ale punctului
  • DATEY: Coordonatele Y ale punctului
  • DATEZ: Coordonatele Z ale punctului

View

Draft

  • VizualizarePattern (Enumeration): not used.
  • VizualizarePattern Size (Float): not used.

Scripting

Scrip-Programare

Instrumentul Point poate fi utilizat în macros și de la consola Python folosind următoarea funcție:

point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • creează un punct la coordonatele date. Dacă nu sunt date coordonate X, Y și Z, punctul este creat la (0,0,0). Returnează obiectul nou creat. "

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()

Exempluː

This code creates N random points within a square of side 2L. It makes a loop creating N points, that may appear anywhere from -L to +L on both X and Y. It also chooses a random color and size for each point. Change N to change the number of points, and change L to change the area covered by the points.

import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()